parameters:
    locale: 'fr'

# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
imports:
    resource: '@MobicoopBundle/Resources/config/services.yaml'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: false       # Allows optimizing the container by removing unused services; this also means
                            # fetching services directly from the container via $container->get() won't work.
                            # The best practice is to be explicit about your dependencies anyway.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Tests,Kernel.php,MobicoopBundle}'
      
    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
    mobicoop_bundle_mobicoop.security.access_denied_handler:
        class: Mobicoop\Bundle\MobicoopBundle\Security\AccessDeniedHandler
        calls:
        - [handle, ['@?', '@?']]

    mobicoop_bundle_mobicoop.listener.logoutListener:
        class: Mobicoop\Bundle\MobicoopBundle\Listener\LogoutListener
        arguments:
            $router: "@router"
            $tokenStorage : "@security.token_storage"